{
  "type" : "record",
  "name" : "ConsequenceType",
  "namespace" : "org.opencb.biodata.models.variant.avro",
  "fields" : [ {
    "name" : "geneName",
    "type" : [ "null", "string" ]
  }, {
    "name" : "ensemblGeneId",
    "type" : [ "null", "string" ]
  }, {
    "name" : "ensemblTranscriptId",
    "type" : [ "null", "string" ]
  }, {
    "name" : "strand",
    "type" : [ "null", "string" ]
  }, {
    "name" : "biotype",
    "type" : [ "null", "string" ]
  }, {
    "name" : "exonOverlap",
    "type" : [ "null", {
      "type" : "array",
      "items" : {
        "type" : "record",
        "name" : "ExonOverlap",
        "fields" : [ {
          "name" : "number",
          "type" : [ "null", "string" ]
        }, {
          "name" : "percentage",
          "type" : [ "null", "float" ]
        } ]
      }
    } ]
  }, {
    "name" : "transcriptAnnotationFlags",
    "type" : [ "null", {
      "type" : "array",
      "items" : "string"
    } ]
  }, {
    "name" : "cdnaPosition",
    "type" : [ "null", "int" ]
  }, {
    "name" : "cdsPosition",
    "type" : [ "null", "int" ]
  }, {
    "name" : "codon",
    "type" : [ "null", "string" ]
  }, {
    "name" : "proteinVariantAnnotation",
    "type" : [ "null", {
      "type" : "record",
      "name" : "ProteinVariantAnnotation",
      "fields" : [ {
        "name" : "uniprotAccession",
        "type" : [ "null", "string" ],
        "default" : null
      }, {
        "name" : "uniprotName",
        "type" : [ "null", "string" ],
        "default" : null
      }, {
        "name" : "position",
        "type" : "int"
      }, {
        "name" : "reference",
        "type" : [ "null", "string" ]
      }, {
        "name" : "alternate",
        "type" : [ "null", "string" ]
      }, {
        "name" : "uniprotVariantId",
        "type" : [ "null", "string" ]
      }, {
        "name" : "functionalDescription",
        "type" : [ "null", "string" ]
      }, {
        "name" : "substitutionScores",
        "type" : [ "null", {
          "type" : "array",
          "items" : {
            "type" : "record",
            "name" : "Score",
            "fields" : [ {
              "name" : "score",
              "type" : "double"
            }, {
              "name" : "source",
              "type" : "string"
            }, {
              "name" : "description",
              "type" : [ "null", "string" ]
            } ]
          }
        } ]
      }, {
        "name" : "keywords",
        "type" : [ "null", {
          "type" : "array",
          "items" : "string"
        } ]
      }, {
        "name" : "features",
        "type" : [ "null", {
          "type" : "array",
          "items" : {
            "type" : "record",
            "name" : "ProteinFeature",
            "fields" : [ {
              "name" : "id",
              "type" : [ "null", "string" ]
            }, {
              "name" : "start",
              "type" : "int"
            }, {
              "name" : "end",
              "type" : "int"
            }, {
              "name" : "type",
              "type" : [ "null", "string" ]
            }, {
              "name" : "description",
              "type" : [ "null", "string" ]
            } ]
          }
        } ]
      } ]
    } ]
  }, {
    "name" : "sequenceOntologyTerms",
    "type" : {
      "type" : "array",
      "items" : {
        "type" : "record",
        "name" : "SequenceOntologyTerm",
        "fields" : [ {
          "name" : "accession",
          "type" : "string"
        }, {
          "name" : "name",
          "type" : "string"
        } ]
      }
    }
  } ]
}
